org.jetlang.web

## Class SessionDispatcherFactory.FiberSessionFactory<S>

- java.lang.Object
- - org.jetlang.web.SessionDispatcherFactory.FiberSessionFactory<S>

All Implemented Interfaces:
  SessionDispatcherFactory<S>

Enclosing interface:
  SessionDispatcherFactory<S>

    public static class SessionDispatcherFactory.FiberSessionFactory<S>
    extends Object
    implements SessionDispatcherFactory<S>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jetlang.web.SessionDispatcherFactory

`SessionDispatcherFactory.FiberSession<S>, SessionDispatcherFactory.FiberSessionFactory<S>, SessionDispatcherFactory.OnReadThread<S>, SessionDispatcherFactory.OnReadThreadDispatcher<S>, SessionDispatcherFactory.SessionDispatcher<S>`

### Constructor Summary

Constructors
Constructor and Description
`FiberSessionFactory(org.jetlang.fibers.PoolFiberFactory poolFiberFactory, boolean useForWebsockets, boolean useForHttp)`
`FiberSessionFactory(java.util.function.Supplier<org.jetlang.fibers.Fiber> fiberFactory, boolean useForWebsockets, boolean useForHttp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SessionDispatcherFactory.SessionDispatcher<S>` `createOnNewSession(S session, HttpRequest headers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FiberSessionFactory

    public FiberSessionFactory(java.util.function.Supplier<org.jetlang.fibers.Fiber> fiberFactory,
                               boolean useForWebsockets,
                               boolean useForHttp)

#### FiberSessionFactory

    public FiberSessionFactory(org.jetlang.fibers.PoolFiberFactory poolFiberFactory,
                               boolean useForWebsockets,
                               boolean useForHttp)

### Method Detail

#### createOnNewSession

    public SessionDispatcherFactory.SessionDispatcher<S> createOnNewSession(S session,
                                                                            HttpRequest headers)

Specified by:
  `createOnNewSession` in interface `SessionDispatcherFactory<S>`